Arvados - Story #13648

[Epic] Use one cluster configuration file for all components

06/20/2018 03:35 PM - Tom Clegg

Status: Resolved Start date:

Priority: Normal Due date:

Assigned To: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Description

Cluster configuration

Related issues:

Related to Arvados - Feature #13647: [keepstore] Load cluster configuration file Resolved 07/11/2019
Related to Arvados - Feature #13646: [API] Rails API server loads cluster con... Rejected

Related to Arvados - Feature #13611: Nodemanager reads instance sizes from th... Closed

Related to Arvados - Bug #13674: [crunch-dispatch-slurm] Use hash instead of ... Resolved

Related to Arvados - Feature #14712: [git] arv-git-httpd uses cluster config ... Resolved 08/26/2019
Related to Arvados - Feature #14713: crunch-dispatch-slurm uses cluster confi... Resolved 07/18/2019
Related to Arvados - Feature #14714: [keep] keep-balance uses cluster config ... Resolved 09/26/2019
Related to Arvados - Feature #14715: [keepproxy] Use cluster config file Resolved 08/12/2019
Related to Arvados - Feature #14716: [keep-web] Use cluster config file Resolved 08/08/2019
Related to Arvados - Feature #14717: [websockets] Use cluster config Resolved 07/18/2019
Related to Arvados - Story #14768: Capability to migrate from old configurati... Rejected

Related to Arvados - Feature #14811: [SSO] Use cluster config Rejected

Related to Arvados - Feature #14812: [Workbench1] Load configuration from clu... Resolved 07/02/2019
Related to Arvados - Story #14813: [Workbench2] Use cluster config Resolved 07/31/2019
Related to Arvados - Story #13996: [API] Migrate RailsAPI to new cluster conf... Resolved 03/26/2019
Related to Arvados - Feature #15000: [controller] publish safe config Resolved 06/07/2019
Related to Arvados - Story #15356: [Composer] Use cluster config Resolved 07/31/2019
Related to Arvados - Bug #15538: Update component .service files Resolved 11/12/2019
Related to Arvados - Bug #15541: Update websockets doc.go to match cluster co... Resolved

Related to Arvados - Bug #15542: Update crunch-dispatch-slurm usage.go to mat... Resolved

Related to Arvados - Story #15572: Update migration and install docs Resolved 12/17/2019
Blocked by Arvados - Story #15003: [config] Go package & tool for preprocessi... Resolved 04/26/2019
Blocked by Arvados - Bug #15642: [config] Don't erase cluster config values j... Resolved 11/12/2019

History

#1 - 06/20/2018 03:35 PM - Tom Clegg
- Related to Feature #13647: [keepstore] Load cluster configuration file added

#2 - 06/20/2018 03:35 PM - Tom Clegg

- Related to Feature #13646: [API] Rails API server loads cluster configuration file added

#3 - 06/20/2018 03:35 PM - Tom Clegg

- Related to Feature #13611: Nodemanager reads instance sizes from the system config file to avoid duplication added

#4 - 06/21/2018 02:07 PM - Tom Clegg

- Related to Bug #13674: [crunch-dispatch-slurm] Use hash instead of array for Instance Types config added

#5 - 06/28/2018 06:57 PM - Tom Clegg

- Description updated

12/05/2021

1/3



https://dev.arvados.org/projects/arvados/wiki/Cluster_configuration

#6 - 01/10/2019 06:44 PM - Peter Amstutz
- Related to Feature #14712: [git] arv-git-httpd uses cluster config file added

#7 - 01/10/2019 06:46 PM - Peter Amstutz

- Related to Feature #14713: crunch-dispatch-slurm uses cluster config file added

#8 - 01/10/2019 06:47 PM - Peter Amstutz
- Related to Feature #14714: [keep] keep-balance uses cluster config file added

#9 - 01/10/2019 06:49 PM - Peter Amstutz
- Related to Feature #14715: [keepproxy] Use cluster config file added

#10 - 01/10/2019 06:50 PM - Peter Amstutz
- Related to Feature #14716: [keep-web] Use cluster config file added

#11 - 01/10/2019 06:51 PM - Peter Amstutz
- Related to Feature #14717: [websockets] Use cluster config added

#12 - 01/23/2019 03:12 PM - Tom Morris
- Related to Story #14768: Capability to migrate from old configuration structure to new config added

#13 - 02/06/2019 07:11 PM - Peter Amstutz
- Related to Feature #14811: [SSO] Use cluster config added

#14 - 02/06/2019 07:11 PM - Peter Amstutz
- Related to Feature #14812: [Workbench1] Load configuration from cluster config file added

#15 - 02/06/2019 07:11 PM - Peter Amstutz
- Related to Story #14813: [Workbench2] Use cluster config added

#16 - 02/06/2019 07:28 PM - Tom Clegg
- Related to Story #13996: [API] Migrate RailsAPI to new cluster config file added

#17 - 02/20/2019 01:49 PM - Tom Morris

- Target version set to To Be Groomed

#18 - 03/20/2019 05:29 PM - Tom Clegg
- Blocked by Story #15003: [config] Go package & tool for preprocessing cluster config file added

#19 - 06/05/2019 03:13 PM - Ward Vandewege
- Related to Feature #15000: [controller] publish safe config added

#20 - 06/05/2019 03:47 PM - Ward Vandewege

- Release set to 22

#21 - 06/12/2019 02:55 PM - Tom Clegg
- Related to Story #15356: [Composer] Use cluster config added

#22 - 08/12/2019 05:22 PM - Eric Biagiotti
- Related to Bug #15538: Update component .service files added

#23 - 08/12/2019 07:53 PM - Eric Biagiotti
- Related to Bug #1554 1: Update websockets doc.go to match cluster config added

#24 - 08/12/2019 07:54 PM - Eric Biagiotti
- Related to Bug #15542: Update crunch-dispatch-slurm usage.go to match cluster config added
#25 - 08/21/2019 01:12 PM - Eric Biagiotti
- Related to Story #15572: Update migration and install docs added

#26 - 09/19/2019 02:20 PM - Tom Clegg

- Blocked by Bug #15642: [config] Don't erase cluster config values just because their counterparts don't appear in legacy configs added

#27 - 09/19/2019 02:20 PM - Tom Clegg
- Related to Story #15641: [keep-balance] [SDKs] rendezvous by volume UUID instead of server UUID added

#29 - 12/18/2019 09:05 PM - Peter Amstutz
- Related to deleted (Story #15641: [keep-balance] [SDKs] rendezvous by volume UUID instead of server UUID)

#30 - 01/08/2020 05:09 PM - Tom Clegg
- Release deleted (22)

- Target version changed from To Be Groomed to Arvados Future Sprints

#31 - 01/08/2020 05:09 PM - Tom Clegg
- Release set to 22
- Target version deleted (Arvados Future Sprints)

- Status changed from New to Resolved
